Click or drag to resize

BrepMergeSurfaces Method (Brep, Brep, Double, Double, Point2d, Point2d, Double, Boolean)

Merges two surfaces into one surface at untrimmed edges. Both surfaces must be untrimmed and share an edge.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep MergeSurfaces(
	Brep brep0,
	Brep brep1,
	double tolerance,
	double angleToleranceRadians,
	Point2d point0,
	Point2d point1,
	double roundness,
	bool smooth
)

Parameters

brep0
Type: Rhino.GeometryBrep
The first single-face Brep to merge.
brep1
Type: Rhino.GeometryBrep
The second single-face Brep to merge.
tolerance
Type: SystemDouble
Surface edges must be within this tolerance for the two surfaces to merge.
angleToleranceRadians
Type: SystemDouble
Edge must be within this angle tolerance in order for contiguous edges to be combined into a single edge.
point0
Type: Rhino.GeometryPoint2d
2D pick point on the first single-face Brep. The value can be unset.
point1
Type: Rhino.GeometryPoint2d
2D pick point on the second single-face Brep. The value can be unset.
roundness
Type: SystemDouble
Defines the roundness of the merge. Acceptable values are between 0.0 (sharp) and 1.0 (smooth).
smooth
Type: SystemBoolean
The surface will be smooth. This makes the surface behave better for control point editing, but may alter the shape of both surfaces.

Return Value

Type: Brep
The merged Brep if successful, null if not successful.
Version Information

Rhino for Windows

Supported in: 6.1 BETA
See Also